<?php

class Request extends CArray
{
  /**
   * @param array $data
   */
  public function __construct($data = null)
  {
    if($data == NULL)
      $data = $_REQUEST;
    parent::__construct($data);
  }
  
  public function exists($var)
  {
    return array_key_exists($var, $this->_data);
  }

  public function get($var)
  {
    return $this->_data[$var];
  }

  public function set($var, $value=null)
  {
    $this->_data[$var] = $value;
  }
  
  public function delete($var)
  {
    unset($this->_data[$var]);
  }
}
